# GetAssetIssueByAccount

Query the TRC10 token information issued by an account.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `address` - String - The Token Issuer account address.
* `visible` - Boolean - Optional. Specifies whether the address is in Base58 format (default: false).

## **Returns**

`assetIssue` - AssetIssueContract\[], a list of issued TRC10 tokens, where each AssetIssueContract contains the following fields:

| Field                           | Type            | Description                                                                                 |
| ------------------------------- | --------------- | ------------------------------------------------------------------------------------------- |
| id                              | string          | token ID                                                                                    |
| owner\_address                  | string          | issuer address                                                                              |
| name                            | string          | token name                                                                                  |
| abbr                            | string          | token abbr                                                                                  |
| total\_supply                   | int64           | total supply                                                                                |
| frozen\_supply                  | FrozenSupply\[] | The number of tokens to be frozen is specified by the issuer of the token when it is issued |
| trx\_num                        | int32           | Define the price by the ratio of trx\_num/num(The unit of 'trx\_num' is SUN)                |
| precision                       | int32           | precision                                                                                   |
| num                             | int32           | Define the price by the ratio of trx\_num/num(The unit of 'trx\_num' is SUN)                |
| start\_time                     | int64           | ICO start time                                                                              |
| end\_time                       | int64           | ICO end time                                                                                |
| description                     | string          | token description                                                                           |
| url                             | string          | Token official website url, default hexString                                               |
| free\_asset\_net\_limit         | int64           | Token free asset net limit                                                                  |
| public\_free\_asset\_net\_limit | int64           | Token public free asset net limit for a account                                             |
| public\_free\_asset\_net\_usage | int64           | The total number of token free bandwidth used by all token owner                            |
| public\_latest\_free\_net\_time | int64           | The timestamp of the last consumption of this token's free bandwidth                        |

```bash
// Result
{}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/getassetissuebyaccount \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/trc10-token/getassetissuebyaccount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
